# Create a Transaction Contact **POST /v2/transactions/{id}/contacts** Creates a new contact associated with a specific transaction. Required fields: `firstName`, `lastName`, `typeId`, `transactionId`. ## Servers - https://api.pre.transactiondesk.com: https://api.pre.transactiondesk.com () ## Authentication methods - Bearer auth ## Parameters ### Path parameters - **id** (string(uuid)) TransactionGUID ### Body: application/json (object) - **id** (string(uuid)) ContactGUID - **transactionId** (string(uuid)) TransactionGUID this contact is associated with - **preferredName** (string) Preferred name; overrides firstName/lastName on real estate forms - **firstName** (string) - **middleName** (string) - **lastName** (string) - **fullAddress** (string) Street number and name - **city** (string) - **state** (string) - **zipCode** (string) - **phone** (string) - **fax** (string) - **cell** (string) - **email** (string(email)) - **company** (string) - **typeId** (string(uuid)) Contact type GUID. See Glossary for values. ## Responses ### 200 Contact created successfully #### Body: application/json (object) - **id** (string(uuid)) ### 400 Bad request #### Body: application/json (object) - **code** (integer) - **message** (string) - **details** (array[string]) ### 401 Unauthorized #### Body: application/json (object) - **code** (integer) - **message** (string) - **details** (array) - **data** () [Powered by Bump.sh](https://bump.sh)